summaryrefslogtreecommitdiffhomepage
path: root/kokoro
diff options
context:
space:
mode:
authorBrad Burlage <brb@google.com>2020-02-03 15:30:42 -0800
committergVisor bot <gvisor-bot@google.com>2020-02-03 15:56:57 -0800
commit6cd7901d7d5f9639e95fff3d8927ba8856a83f91 (patch)
tree487a5a3ab0edd6a114cea0fb3e9fa10379bea67a /kokoro
parente7846e50f2df070a15dd33235b334e2223f715f3 (diff)
Add 1 Kokoro job per runtime test.
PiperOrigin-RevId: 293019326
Diffstat (limited to 'kokoro')
-rw-r--r--kokoro/runtime_tests/go1.12.cfg6
-rw-r--r--kokoro/runtime_tests/java11.cfg6
-rw-r--r--kokoro/runtime_tests/nodejs12.4.0.cfg6
-rw-r--r--kokoro/runtime_tests/php7.3.6.cfg6
-rw-r--r--kokoro/runtime_tests/python3.7.3.cfg6
-rwxr-xr-xkokoro/runtime_tests/runtime_tests.sh25
6 files changed, 55 insertions, 0 deletions
diff --git a/kokoro/runtime_tests/go1.12.cfg b/kokoro/runtime_tests/go1.12.cfg
new file mode 100644
index 000000000..024740ab2
--- /dev/null
+++ b/kokoro/runtime_tests/go1.12.cfg
@@ -0,0 +1,6 @@
+build_file: "github/kokoro/runtime_tests/runtime_tests.sh"
+
+env_vars {
+ key: "RUNTIME_TEST_NAME"
+ value: "go1.12"
+} \ No newline at end of file
diff --git a/kokoro/runtime_tests/java11.cfg b/kokoro/runtime_tests/java11.cfg
new file mode 100644
index 000000000..f01d26153
--- /dev/null
+++ b/kokoro/runtime_tests/java11.cfg
@@ -0,0 +1,6 @@
+build_file: "github/kokoro/runtime_tests/runtime_tests.sh"
+
+env_vars {
+ key: "RUNTIME_TEST_NAME"
+ value: "java11"
+} \ No newline at end of file
diff --git a/kokoro/runtime_tests/nodejs12.4.0.cfg b/kokoro/runtime_tests/nodejs12.4.0.cfg
new file mode 100644
index 000000000..d4861fb07
--- /dev/null
+++ b/kokoro/runtime_tests/nodejs12.4.0.cfg
@@ -0,0 +1,6 @@
+build_file: "github/kokoro/runtime_tests/runtime_tests.sh"
+
+env_vars {
+ key: "RUNTIME_TEST_NAME"
+ value: "nodejs12.4.0"
+} \ No newline at end of file
diff --git a/kokoro/runtime_tests/php7.3.6.cfg b/kokoro/runtime_tests/php7.3.6.cfg
new file mode 100644
index 000000000..b737ed9cb
--- /dev/null
+++ b/kokoro/runtime_tests/php7.3.6.cfg
@@ -0,0 +1,6 @@
+build_file: "github/kokoro/runtime_tests/runtime_tests.sh"
+
+env_vars {
+ key: "RUNTIME_TEST_NAME"
+ value: "php7.3.6"
+} \ No newline at end of file
diff --git a/kokoro/runtime_tests/python3.7.3.cfg b/kokoro/runtime_tests/python3.7.3.cfg
new file mode 100644
index 000000000..971fcba05
--- /dev/null
+++ b/kokoro/runtime_tests/python3.7.3.cfg
@@ -0,0 +1,6 @@
+build_file: "github/kokoro/runtime_tests/runtime_tests.sh"
+
+env_vars {
+ key: "RUNTIME_TEST_NAME"
+ value: "python3.7.3"
+} \ No newline at end of file
diff --git a/kokoro/runtime_tests/runtime_tests.sh b/kokoro/runtime_tests/runtime_tests.sh
new file mode 100755
index 000000000..9ee991e42
--- /dev/null
+++ b/kokoro/runtime_tests/runtime_tests.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# Copyright 2019 The gVisor Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+source $(dirname $0)/common.sh
+
+if [ ! -v RUNTIME_TEST_NAME ]; then
+ echo 'Must set $RUNTIME_TEST_NAME' >&2
+ exit 1
+fi
+
+install_runsc_for_test runtimes
+test_runsc "//test/runtimes:${RUNTIME_TEST_NAME}_test"